html, body {
  background-color: #133450;
  margin: 0;
  padding: 0;
  display: flex;
  flex-direction: column;
  overflow-x: hidden;
  overflow-y: hidden;
}

nav {
    min-height: 10vh;
}

a {
  text-decoration: none;

}

footer {
  flex-shrink: 0;
  background-color: #0e202f;
  color: white;
  text-decoration: none;
  text-align: center;
  padding: 1%;
  width: 95%;
  font-family: Arial, Helvetica, sans-serif;
  z-index: 10;
}

.burger,
.mobile-menu,
.bild-logo-mobile,
.logo-mobile {
  display: none;
}

.kasten {
  margin-left: -0.7%;
  background-color: #0e202f;
  min-height: 200px;
  transform: skewY(-9deg) translateY(-137px);
  z-index: 100;
  position: fixed;
  top: 0;
  left: 0;
  width: 800px;
  position: absolute;
  max-width: 100vw;
  overflow-x: hidden;
}

.menu-schrift {
    list-style: none;
    display: flex;
    justify-content: space-between;
    width: 400px;
    transform: rotate(-9deg) translateY(-9.5vh);
    word-spacing: 200px;
    gap: 20px;
    position: fixed;
    z-index: 100;
    margin-left: 0%;
    margin-top: 20.5vh;
    position: absolute;
    text-shadow: 2px 2px 8px rgba(0, 0, 0, 0.6);
}

.menu-schrift a:hover, 
.seitenleiste a:hover {
  color: rgba(0, 150, 255, 0.8);
  text-shadow: 0 0 0.4rem rgba(0, 150, 255, 0.5), 0 0 0.8rem rgba(0, 150, 255, 0.4);
}

.menu-schrift li a {
  font-family: "Press Start 2P", Arial, system-ui;
  font-size: 1.1rem;
  margin-right: 10px;
  color: rgb(255, 255, 255);
  text-shadow: 2px 2px 8px rgba(0, 0, 0, 0.6);
  text-decoration: none;
  transition: color 0.3s ease, text-shadow 0.3s ease, transform 0.3s ease;
}

.seitenleiste a {
  font-family: "Roboto", sans-serif;
  color: white;
  text-shadow: 2px 2px 8px rgba(0, 0, 0, 0.6);
  text-decoration: none;
  transition: color 0.3s ease, text-shadow 0.3s ease, transform 0.3s ease;
}

.ueberschrift {
  font-family: "Protest Guerrilla", sans-serif;
  font-weight: 400;
  text-shadow: 2px 2px 8px rgba(0, 0, 0, 0.6);
  font-style: normal;
}

.logo {
  width: 100px;
  height: 100px;
  background-size: contain;
  background-position: center;
  position: center;
  box-shadow: 0 4px 20px rgba(0, 0, 0, 0.6);
  margin-right: 1000px;
}

p {
    font-family: "Roboto", sans-serif;
    font-weight: 400;
    font-style: normal;
    color: white;
    font-size: 2.5rem;
    text-shadow: 0 4px 20px rgba(0, 0, 0, 0.6);
  }

section {
  margin-top: -10vh;
    width: 100%;
    height: 100vh;
    display: flex;
    justify-content: space-between;
    transform: translateX(0);
    background-color: #0e202f;
}

section#kneipe {
  background-image: url("./images/kneipe.png");
  background-size:cover;
  background-position: center;
  background-repeat: no-repeat;
  display: flex;
  justify-content: center;
  align-items: center;

}

img#logo {
  width: 600px;
  height: 600px;
  transform: scale(1.0);
  transition: transform 0.3s ease-in-out;
  border-radius: 50%;
  box-shadow: 0 0 0 rgba(0,0,0,0);
  transition: transform 0.5s ease-in-out, box-shadow 0.5s ease-in-out;
}

img#logo:hover {
  transform: scale(1.15);
  transition: transform 0.5s ease-in-out;
  box-shadow: 0 0 1.5rem 0.5rem rgba(0, 0, 0, 0.7); 
}

article {
    width: 40%;
    padding: 7vh 0 0 0;
}

.bild1 {
    width: 60%;
    height: 80vh;
    transform: skewY(-15deg);
    
}

.bild-logo {
    background-repeat: no-repeat;
    background-image: none;
    background-size: 100% 100%;
    background-position: center;
    width: 100%;
    height: 100vh;
    margin-left: auto;
}

.firstarticle {
  width: 50%;
}

.trail {
    position: absolute;
    border-radius: 50%;
    width: 0.5rem;
    height: 0.5rem;
    background: rgba(0, 150, 255, 0.8);
    box-shadow: 0 0 0.3rem 0.3rem rgba(0, 150, 255, 0.8);
    pointer-events: none;
    transition: transform 0.3s ease, opacity 0.3s ease, visibility 0s 0.3s;
    z-index: 10000;
  }
  
  .trail-hidden {
    opacity: 0;
    visibility: hidden;
    transition: opacity 0.3s ease, visibility 0s 0.3s;
    z-index: 101;
  }
  
  .explode {
    animation: explode 0.5s forwards;
    box-shadow: none;
    z-index: 101;
  }
  
  @keyframes explode {
    0% {
      transform: scale(1);
      opacity: 1;
    }
    100% {
      transform: scale(3);
      opacity: 0;
    }

  }
  .seitenleiste {
    margin-top: 0px;
    width: 237px;
    position: absolute;
    background-color:#0e202f;
    padding: 20px;
    right: 0;
    height: 96%;
    font-family: "Roboto";
    color: white;
    text-decoration: none;
    z-index: 100;
    position: absolute;
  }
  .socialtext {
    margin-left: 45px;

  }
  .social-media-icons {
    display: flex;
    gap: 25px; 
    margin-top: 20px;
    margin-left: 20px;
}

.social-icon {
    margin-left: 0px;
    width: 50px; 
    height: 50px;
    transform: scale(1);
    transition: transform 0.3s ease, box-shadow 0.3s ease;
    border-radius: 50%;
}

.social-icon:hover {
    transform: scale(1.4);
    box-shadow: 0 0 1rem rgba(0, 150, 255, 0.7); 
}

.impressum {
  font-size: 15px;
  color: rgb(255, 255, 255);
  text-decoration: none;
  margin-left: 25px;
}

.oeffnungszeiten {
  font-size: 35px;
  color: rgb(255, 255, 255);
  text-decoration: none;
  margin-left: -45px;
  text-shadow: 0 4px 20px rgba(0, 0, 0, 0.6);
}

.events {
  font-size: 20px;
  color: rgb(255, 255, 255);
  text-decoration: none;
  margin-left: 10px;
  text-shadow: 0 4px 20px rgba(0, 0, 0, 0.6);
}

.impressum a:hover, 
.oeffnungszeiten a:hover, 
.events a:hover {
  color: rgba(0, 150, 255, 0.8);
  text-shadow: 
    0 0 80px rgba(0, 150, 255, 0.2);   
    transition: text-shadow 0.3s ease, color 0.3s ease; 
}

.Montag-Sonntag {
  font-size: 25px;
  color: rgb(255, 255, 255);
  text-decoration: none;
  margin-left: -10px;
  line-height: 3;
}

.montag,
.dienstag,
.mittwoch,
.donnerstag,
.freitag,
.samstag,
.sonntag {
  margin-left: -40px;
  text-shadow: 0 4px 20px rgba(0, 0, 0, 0.6);
}

.montag {
  list-style-type: none;
  font-size: 17px;
}

.dienstag {
  list-style-type: none;
  font-size: 17px;
}

.mittwoch {
  list-style-type: none;
  font-size: 17px;
}

.donnerstag {
  list-style-type: none;
  font-size: 17px;
}

.freitag {
  list-style-type: none;
  font-size: 17px;
}

.samstag {
  list-style-type: none;
  font-size: 17px;
}

.sonntag {
  list-style-type: none;
  font-size: 17px;
}

li {
  list-style-type: none;
}

.menu-icon {
  position: absolute;
  top: 2vh;
  left: 95%;
  cursor: pointer;
  display: flex;
  flex-direction: column;
  gap: 0.5%;
}

.kalender {
  margin-top: 50px;
  margin-left: 500px;
  display: flex;
  height: 90vh;
  width: 90vh;
}

.line {
  width: 3%;
  height: 0.4rem;
  background-color: white;
  transition: 0.3s;
}

.menu {
  position: absolute;
  top: 4vh;
  left: 1%;
  background-color: #f4f4f4;
  padding: 1%;
  border: 0.1rem solid #ddd;
  display: none;
  margin-left: -15%;
}

.menu a {
  display: block;
  margin: 0.5% 0;
  text-decoration: none;
  color: #333;
}

.menu-schrift a:hover {
color: rgba(0, 150, 255, 0.8);
}

.Getränke {
  text-decoration: underline;
  color: rgba(0, 150, 255, 0.8);
}

.oeffnungszeiten-img {
  margin-left: -1400px;
  width: 900;
  height: 700px;
  margin-top: -450px
}

.back-button {
  position: absolute;
  top: 20px;
  left: -1620px;
  z-index: 100; 
}

.back-button a {
  display: inline-block;
  padding: 20px 35px;
  font-size: 22px;
  font-family: Arial, sans-serif;
  text-decoration: none;
  color: white;
  background-color: #0e202f; 
  border: 2px solid rgba(0, 150, 255, 0.7); 
  border-radius: 5px;
  transition: all 0.3s ease-in-out;
}

.back-button a:hover {
  background-color: rgba(0, 150, 255, 0.7); 
  color: white;
  box-shadow: 0 0 1rem rgba(0, 150, 255, 0.7);
  transform: scale(1.05);
}

@media screen and (max-width: 1024px) {
  .menu-schrift li a {
    font-size: 0.8rem;
  }
}

.hours {
  margin-right: 500px;
  margin-top: 250px;
  font-size: 10rem;
}

.hours p {
  display: flex;
  justify-content: center;
  gap: 7rem;
  margin: 0.4rem 0;
  white-space: nowrap;
}

.hours p span:first-child {
  width: 120px;
  text-align: right;
  font-weight: 500;
}

.hours p span:last-child {
  width: 160px;
  text-align: left;
}